RuntimeSpringConfigUtilities (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.spring

## [Java] Class RuntimeSpringConfigUtilities

- org.grails.spring.RuntimeSpringConfigUtilities

- Since:
    2.4
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GRAILS_URL_MAPPINGS` |
    `static java.lang.String` | `SPRING_RESOURCES_CLASS` |
    `static java.lang.String` | `SPRING_RESOURCES_GROOVY` |
    `static java.lang.String` | `SPRING_RESOURCES_XML` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `loadExternalSpringConfig(RuntimeSpringConfiguration config, GrailsApplication application)` Loads any external Spring configuration into the given RuntimeSpringConfiguration object.
    `` | `static void` | `loadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application)`
    `` | `static void` | `loadSpringGroovyResourcesIntoContext(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)`
    `` | `static BeanBuilder` | `reloadSpringResourcesConfig(RuntimeSpringConfiguration config, GrailsApplication application, java.lang.Class<?> groovySpringResourcesClass)`
    `` | `static void` | `reset()` Resets the GrailsRumtimeConfigurator.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GRAILS_URL_MAPPINGS

    - #### public static final java.lang.String SPRING_RESOURCES_CLASS

    - #### public static final java.lang.String SPRING_RESOURCES_GROOVY

    - #### public static final java.lang.String SPRING_RESOURCES_XML

  - ### Method Detail

    - #### public static void loadExternalSpringConfig(RuntimeSpringConfiguration config, GrailsApplication application)

      Loads any external Spring configuration into the given RuntimeSpringConfiguration object.

      Parameters:
        `config` - The config instance

    - #### public static void loadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application)

    - #### public static void loadSpringGroovyResourcesIntoContext(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)

    - #### public static BeanBuilder reloadSpringResourcesConfig(RuntimeSpringConfiguration config, GrailsApplication application, java.lang.Class<?> groovySpringResourcesClass)

    - #### public static void reset()

      Resets the GrailsRumtimeConfigurator.